Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 562752 - app-misc/screen-4.3.1: build fails w/uClibc: utmp.c: In function 'makedead': utmp.c:602:13: error: 'struct __exit_status' has no member named 'e_termination'
Summary: app-misc/screen-4.3.1: build fails w/uClibc: utmp.c: In function 'makedead': ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sven Wegener
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: uclibc-porting
  Show dependency tree
 
Reported: 2015-10-10 18:26 UTC by SpanKY
Modified: 2018-01-04 23:18 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (screen-4.3.1-r1.log,11.12 KB, text/plain)
2015-10-11 19:36 UTC, SpanKY
Details
emerge --info (emerge-info.log,4.70 KB, text/plain)
2015-10-11 19:36 UTC, SpanKY
Details

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2015-10-10 18:26:49 UTC
x86_64-gentoo-linux-uclibc-gcc -c -I. -I.  -DMAXWIN=100 -DNONETHACK -DETCSCREENRC='"/etc/screenrc"' -DSCREENENCODINGS='"/usr/share/screen/utf8encodings"' -DHAVE_CONFIG_H -DGIT
_REV=\""`git describe --always 2>/dev/null`"\" \
     -O2 -pipe utmp.c
utmp.c:99:0: warning: "pututline" redefined [enabled by default]
 # define pututline xpututline
 ^
In file included from screen.h:30:0,
                 from utmp.c:34:
os.h:262:0: note: this is the location of the previous definition
 #  define pututline pututxline
 ^
utmp.c: In function 'makedead':
utmp.c:602:13: error: 'struct __exit_status' has no member named 'e_termination'
   u->ut_exit.e_termination = 0;
             ^
utmp.c:603:13: error: 'struct __exit_status' has no member named 'e_exit'
   u->ut_exit.e_exit = 0;
             ^
Makefile:82: recipe for target 'utmp.o' failed
make: *** [utmp.o] Error 1
Comment 1 SpanKY gentoo-dev 2015-10-11 19:36:13 UTC
Created attachment 414382 [details]
build.log
Comment 2 SpanKY gentoo-dev 2015-10-11 19:36:44 UTC
Created attachment 414384 [details]
emerge --info
Comment 3 Jeroen Roovers gentoo-dev 2016-06-26 10:11:41 UTC
uClibc does neither define linux nor ut_exit?

#if (!defined(linux) || defined(EMPTY)) && !defined(__CYGWIN__)                                                                                                
  u->ut_exit.e_termination = 0;                                                                                                                                
  u->ut_exit.e_exit = 0;                                                                                                                                       
#endif
Comment 4 Larry the Git Cow gentoo-dev 2018-01-04 23:18:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10f7f30cb2ade13389c2a104128a9b86355f52c6

commit 10f7f30cb2ade13389c2a104128a9b86355f52c6
Author:     Sven Wegener <swegener@gentoo.org>
AuthorDate: 2018-01-04 23:16:48 +0000
Commit:     Sven Wegener <swegener@gentoo.org>
CommitDate: 2018-01-04 23:18:40 +0000

    app-misc/screen: Fix building on uclibc, bug #562752
    
    Closes: https://bugs.gentoo.org/562752
    Package-Manager: Portage-2.3.14, Repoman-2.3.6

 app-misc/screen/files/screen-4.6.2-utmp-exit.patch | 55 ++++++++++++++++++++++
 app-misc/screen/screen-4.6.2.ebuild                |  3 +-
 2 files changed, 57 insertions(+), 1 deletion(-)